Package org.eclipse.birt.chart.model.attribute

# Interface AxisOrigin

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AxisOriginImpl`

public interface AxisOrigin extends IChartObject
A representation of the model object 'Axis Origin'. This type represents the intersection point for an axis.

The following features are supported:

- `Type`
- `Value`

See Also:
  - `AttributePackage.getAxisOrigin()`

## Method Summary

Modifier and Type
Method
Description
`AxisOrigin`
`copyInstance()`
`IntersectionType`
`getType()`
Returns the value of the 'Type' attribute.
`DataElement`
`getValue()`
Returns the value of the 'Value' attribute.
`boolean`
`isSetType()`
Returns whether the value of the ' `Type`' attribute is set.
`void`
`setType(IntersectionType value)`
Sets the value of the '`Type`' attribute.
`void`
`setValue(DataElement value)`
Sets the value of the '`Value`' containment reference.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

IntersectionType getType()
Returns the value of the 'Type' attribute. The default value is `"Min"`. The literals are from the enumeration `IntersectionType`. Gets the type of the origin value. If it is 'Min' or 'Max', its value is determined at runtime. Defines the type of origin. This determines whether and how the origin value is to be used.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `IntersectionType`
  - `isSetType()`
  - `unsetType()`
  - `setType(IntersectionType)`
  - `AttributePackage.getAxisOrigin_Type()`

### setType

void setType(IntersectionType value)
Sets the value of the '`Type`' attribute. Gets the type of the origin value. If it is 'Min' or 'Max', its value is determined at runtime.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `IntersectionType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(IntersectionType)`

### isSetType

boolean isSetType()
Returns whether the value of the ' `Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(IntersectionType)`

### getValue

DataElement getValue()
Returns the value of the 'Value' attribute. Gets the value of the intersection point on the primary axis perpendicular to this one. Getting its contents makes sence only if the type for origin is set to 'Value'. Specifies the actual value of the axis origin.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `#setValue(Object)`
  - `AttributePackage.getAxisOrigin_Value()`

### setValue

void setValue(DataElement value)
Sets the value of the '`Value`' containment reference.

Parameters:
  `value` - the new value of the 'Value' containment reference.
See Also:
  - `getValue()`

### copyInstance

AxisOrigin copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`